/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmRipartizioneCarico;

import java.math.BigDecimal;
import java.sql.Timestamp;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record6;
import org.jooq.Row6;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class MmRipartizioneCaricoRecord extends UpdatableRecordImpl<MmRipartizioneCaricoRecord> implements Record6<Long, Long, Timestamp, BigDecimal, String, Integer> {

    private static final long serialVersionUID = 1602160276;

    /**
     * Setter for <code>MM_RIPARTIZIONE_CARICO.ID</code>.
     */
    public void setId(Long value) {
        set(0, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_CARICO.ID</code>.
     */
    public Long getId() {
        return (Long) get(0);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_CARICO.ID_RIPARTIZIONE_SIADA</code>.
     */
    public void setIdRipartizioneSiada(Long value) {
        set(1, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_CARICO.ID_RIPARTIZIONE_SIADA</code>.
     */
    public Long getIdRipartizioneSiada() {
        return (Long) get(1);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_CARICO.DATA_ORA_CREAZIONE</code>.
     */
    public void setDataOraCreazione(Timestamp value) {
        set(2, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_CARICO.DATA_ORA_CREAZIONE</code>.
     */
    public Timestamp getDataOraCreazione() {
        return (Timestamp) get(2);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_CARICO.VALORE_TOTALE_RIPARTIZIONE</code>.
     */
    public void setValoreTotaleRipartizione(BigDecimal value) {
        set(3, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_CARICO.VALORE_TOTALE_RIPARTIZIONE</code>.
     */
    public BigDecimal getValoreTotaleRipartizione() {
        return (BigDecimal) get(3);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_CARICO.STATO</code>.
     */
    public void setStato(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_CARICO.STATO</code>.
     */
    public String getStato() {
        return (String) get(4);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_CARICO.VERSIONE</code>.
     */
    public void setVersione(Integer value) {
        set(5, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_CARICO.VERSIONE</code>.
     */
    public Integer getVersione() {
        return (Integer) get(5);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Long> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record6 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row6<Long, Long, Timestamp, BigDecimal, String, Integer> fieldsRow() {
        return (Row6) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row6<Long, Long, Timestamp, BigDecimal, String, Integer> valuesRow() {
        return (Row6) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field1() {
        return MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO.ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field2() {
        return MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO.ID_RIPARTIZIONE_SIADA;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Timestamp> field3() {
        return MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO.DATA_ORA_CREAZIONE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<BigDecimal> field4() {
        return MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO.VALORE_TOTALE_RIPARTIZIONE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field5() {
        return MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO.STATO;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field6() {
        return MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO.VERSIONE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component1() {
        return getId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component2() {
        return getIdRipartizioneSiada();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp component3() {
        return getDataOraCreazione();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal component4() {
        return getValoreTotaleRipartizione();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component5() {
        return getStato();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component6() {
        return getVersione();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value1() {
        return getId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value2() {
        return getIdRipartizioneSiada();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Timestamp value3() {
        return getDataOraCreazione();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public BigDecimal value4() {
        return getValoreTotaleRipartizione();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value5() {
        return getStato();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value6() {
        return getVersione();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizioneCaricoRecord value1(Long value) {
        setId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizioneCaricoRecord value2(Long value) {
        setIdRipartizioneSiada(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizioneCaricoRecord value3(Timestamp value) {
        setDataOraCreazione(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizioneCaricoRecord value4(BigDecimal value) {
        setValoreTotaleRipartizione(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizioneCaricoRecord value5(String value) {
        setStato(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizioneCaricoRecord value6(Integer value) {
        setVersione(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizioneCaricoRecord values(Long value1, Long value2, Timestamp value3, BigDecimal value4, String value5, Integer value6) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached MmRipartizioneCaricoRecord
     */
    public MmRipartizioneCaricoRecord() {
        super(MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO);
    }

    /**
     * Create a detached, initialised MmRipartizioneCaricoRecord
     */
    public MmRipartizioneCaricoRecord(Long id, Long idRipartizioneSiada, Timestamp dataOraCreazione, BigDecimal valoreTotaleRipartizione, String stato, Integer versione) {
        super(MmRipartizioneCarico.MM_RIPARTIZIONE_CARICO);

        set(0, id);
        set(1, idRipartizioneSiada);
        set(2, dataOraCreazione);
        set(3, valoreTotaleRipartizione);
        set(4, stato);
        set(5, versione);
    }
}
